cmake_minimum_required(VERSION 3.30)
project(fennec-test)

set(CMAKE_CXX_STANDARD 23)
set(CMAKE_C_STANDARD 23)

add_executable(fennec-test
        main.cpp
        tests/containers/performance/test_iterator_visitor.h
)

target_compile_definitions(fennec-test PUBLIC FENNEC_TEST_CWD="${CMAKE_SOURCE_DIR}/bin/${FENNEC_BUILD_NAME}"
                                              FENNEC_BUILD_NAME="${FENNEC_BUILD_NAME}"
)

target_link_libraries(fennec-test PRIVATE
        -Wl,--whole-archive
        fennec
        -Wl,--no-whole-archive
)